<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

echo head . 'Битва брендов' . div . katalog;

switch ($_GET['mod']) {
    default:
    echo '<a href="brands.php?mod=add">Добавить битву</a><br/>';
    echo '<a href="brands.php?mod=delete">Удалить битву</a><br/>';
    break;
    
    case 'add':
    echo '<form action="brands.php?mod=upload" method="POST" name="form" enctype="multipart/form-data">';
    echo '<b>Название:</b> [max.50]<br/><input name="name" type="text" maxlength="50"/><br/><br/>';
    echo '<b>Бренд 1:</b> [max.50]<br/><input name="brand1" type="text" maxlength="50"/><br/>';
    echo '<b>Логотип:</b><br /><input type="file" name="f_brand1"><br /><br />';
    echo '<b>Бренд 2:</b> [max.50]<br/><input name="brand2" type="text" maxlength="50"/><br/>';
    echo '<b>Логотип:</b><br /><input type="file" name="f_brand2"><br /><br />';
    echo '<b>Время длительности: [в сутках]</b><br /><input name="time" type="text" maxlength="50"/><br/>';
    echo 'Вкл. коментарии: <input type="checkbox"  name="coment" value="1" /><br />';
    echo '<input name="submit" type="submit" class="button" value="Создать" /></form>';
    break;
    
    case 'upload':
    ###Загрузка 1-го файла
    $file_1 = $_FILES['f_brand1']['tmp_name'];
    $filename_1 = $_FILES['f_brand1']['name'];
    $type_1 = strtolower(substr($filename_1, 1+strrpos($filename_1,".")));
    $new_name_1 = 'file-'.time().'.'.$type_1;
    if (!copy($file_1, "../brands/files/".$new_name_1)) echo 'no';
    ###Загрузка 2-го файла
    $file_2 = $_FILES['f_brand2']['tmp_name'];
    $filename_2 = $_FILES['f_brand2']['name'];
    $type_2 = strtolower(substr($filename_2, 1+strrpos($filename_2,".")));
    $new_name_2 = 'file2-'.time().'.'.$type_2;
    if (!copy($file_2, "../brands/files/".$new_name_2)) echo 'no';
    ####################################################
    $name = html($_POST['name']);
    $brand1 = html($_POST['brand1']);
    $brand2 = html($_POST['brand2']);
    $time = num($_POST['time']);
    $coment = num($_POST['coment']);
    
    if (empty($name)) $err = 'Вы не написали название';    
    if (empty($brand1)) $err = 'Вы не написали название первого бренда';  
    if (empty($brand2)) $err = 'Вы не написали название второго бренда'; 
    if (empty($time)) $err = 'Вы не указали время';
    
    if ($coment == 1)
        $coment = 1;
    else
        $coment = 0;
        
    if (mysql_query("INSERT INTO `brand` SET `name` = '".$name."', `brand1` = '".$brand1."', `brand2` = '".$brand2."', `date` = '".time()."', `time` = '".(time() + ($time * 86400))."', `coment` = '".$coment."', `f_brand_1` = '".$new_name_1."', `f_brand_2` = '".$new_name_2."' ")) {
        echo 'Бренд успешно добавлен';
    } else {
        echo 'Возникла ошибка';
    }
        
     
    break;
    
    case 'delete':
    $all = mysql_result(mysql_query("SELECT count(*) FROM `brand`"), 0);

if($all == 0)
    echo 'Бренды еще не созданы';
    
$result = mysql_query("SELECT * FROM brand order by id desc");
while($brand = mysql_fetch_assoc($result)){
    echo '<b>' . $brand['name'] . '</b> [<a href="apanel.php?mod=del&id='.$brand['id'].'">x</a>]<br/>';
}
    break;
    
    case 'del':
    $id = num($_GET['id']);
    mysql_query("DELETE FROM `brand` WHERE `id` = '".$id."'");
    header('Location: brands.php?mod=delete');
    break;
    
}
echo div;
navig();
foot();
?>
